diff --git a/_ide_helper.php b/_ide_helper.php
index 9a3bc91..e29078a 100644
--- a/_ide_helper.php
+++ b/_ide_helper.php
@@ -11646,20 +12365,21 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function macro($name, $macro)
         {
-            \Illuminate\Routing\ResponseFactory::macro($name, $macro);
+                        \Illuminate\Routing\ResponseFactory::macro($name, $macro);
         }
         
         /**
          * Mix another object into the class.
          *
          * @param object $mixin
+         * @param bool $replace
          * @return void 
          * @throws \ReflectionException
          * @static 
          */ 
-        public static function mixin($mixin)
+        public static function mixin($mixin, $replace = true)
         {
-            \Illuminate\Routing\ResponseFactory::mixin($mixin);
+                        \Illuminate\Routing\ResponseFactory::mixin($mixin, $replace);
         }
         
         /**
@@ -11671,7 +12391,7 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasMacro($name)
         {
-            return \Illuminate\Routing\ResponseFactory::hasMacro($name);
+                        return \Illuminate\Routing\ResponseFactory::hasMacro($name);
         }
          
     }
@@ -11679,34 +12399,13 @@ namespace Illuminate\Support\Facades {
     /**
      * 
      *
-     * @method static \Illuminate\Routing\Route get(string $uri, \Closure|array|string|null $action = null)
-     * @method static \Illuminate\Routing\Route post(string $uri, \Closure|array|string|null $action = null)
-     * @method static \Illuminate\Routing\Route put(string $uri, \Closure|array|string|null $action = null)
-     * @method static \Illuminate\Routing\Route delete(string $uri, \Closure|array|string|null $action = null)
-     * @method static \Illuminate\Routing\Route patch(string $uri, \Closure|array|string|null $action = null)
-     * @method static \Illuminate\Routing\Route options(string $uri, \Closure|array|string|null $action = null)
-     * @method static \Illuminate\Routing\Route any(string $uri, \Closure|array|string|null $action = null)
-     * @method static \Illuminate\Routing\Route match(array|string $methods, string $uri, \Closure|array|string|null $action = null)
      * @method static \Illuminate\Routing\RouteRegistrar prefix(string  $prefix)
      * @method static \Illuminate\Routing\RouteRegistrar where(array  $where)
-     * @method static \Illuminate\Routing\PendingResourceRegistration resource(string $name, string $controller, array $options = [])
-     * @method static \Illuminate\Routing\PendingResourceRegistration apiResource(string $name, string $controller, array $options = [])
-     * @method static void apiResources(array $resources)
      * @method static \Illuminate\Routing\RouteRegistrar middleware(array|string|null $middleware)
-     * @method static \Illuminate\Routing\Route substituteBindings(\Illuminate\Support\Facades\Route $route)
-     * @method static void substituteImplicitBindings(\Illuminate\Support\Facades\Route $route)
      * @method static \Illuminate\Routing\RouteRegistrar as(string $value)
      * @method static \Illuminate\Routing\RouteRegistrar domain(string $value)
      * @method static \Illuminate\Routing\RouteRegistrar name(string $value)
      * @method static \Illuminate\Routing\RouteRegistrar namespace(string $value)
-     * @method static \Illuminate\Routing\Router|\Illuminate\Routing\RouteRegistrar group(array|\Closure|string $attributes, \Closure|string $routes)
-     * @method static \Illuminate\Routing\Route redirect(string $uri, string $destination, int $status = 302)
-     * @method static \Illuminate\Routing\Route permanentRedirect(string $uri, string $destination)
-     * @method static \Illuminate\Routing\Route view(string $uri, string $view, array $data = [])
-     * @method static void bind(string $key, string|callable $binder)
-     * @method static \Illuminate\Routing\Route current()
-     * @method static string|null currentRouteName()
-     * @method static string|null currentRouteAction()
      * @see \Illuminate\Routing\Router
      */ 
     class Route {
@@ -11715,103 +12414,111 @@ namespace Illuminate\Support\Facades {
          * Register a new GET route with the router.
          *
          * @param string $uri
-         * @param \Closure|array|string|null $action
+         * @param \Closure|array|string|callable|null $action
          * @return \Illuminate\Routing\Route 
          * @static 
          */ 
         public static function get($uri, $action = null)
         {
-            return \Illuminate\Routing\Router::get($uri, $action);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->get($uri, $action);
         }
         
         /**
          * Register a new POST route with the router.
          *
          * @param string $uri
-         * @param \Closure|array|string|null $action
+         * @param \Closure|array|string|callable|null $action
          * @return \Illuminate\Routing\Route 
          * @static 
          */ 
         public static function post($uri, $action = null)
         {
-            return \Illuminate\Routing\Router::post($uri, $action);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->post($uri, $action);
         }
         
         /**
          * Register a new PUT route with the router.
          *
          * @param string $uri
-         * @param \Closure|array|string|null $action
+         * @param \Closure|array|string|callable|null $action
          * @return \Illuminate\Routing\Route 
          * @static 
          */ 
         public static function put($uri, $action = null)
         {
-            return \Illuminate\Routing\Router::put($uri, $action);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->put($uri, $action);
         }
         
         /**
          * Register a new PATCH route with the router.
          *
          * @param string $uri
-         * @param \Closure|array|string|null $action
+         * @param \Closure|array|string|callable|null $action
          * @return \Illuminate\Routing\Route 
          * @static 
          */ 
         public static function patch($uri, $action = null)
         {
-            return \Illuminate\Routing\Router::patch($uri, $action);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->patch($uri, $action);
         }
         
         /**
          * Register a new DELETE route with the router.
          *
          * @param string $uri
-         * @param \Closure|array|string|null $action
+         * @param \Closure|array|string|callable|null $action
          * @return \Illuminate\Routing\Route 
          * @static 
          */ 
         public static function delete($uri, $action = null)
         {
-            return \Illuminate\Routing\Router::delete($uri, $action);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->delete($uri, $action);
         }
         
         /**
          * Register a new OPTIONS route with the router.
          *
          * @param string $uri
-         * @param \Closure|array|string|null $action
+         * @param \Closure|array|string|callable|null $action
          * @return \Illuminate\Routing\Route 
          * @static 
          */ 
         public static function options($uri, $action = null)
         {
-            return \Illuminate\Routing\Router::options($uri, $action);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->options($uri, $action);
         }
         
         /**
          * Register a new route responding to all verbs.
          *
          * @param string $uri
-         * @param \Closure|array|string|null $action
+         * @param \Closure|array|string|callable|null $action
          * @return \Illuminate\Routing\Route 
          * @static 
          */ 
         public static function any($uri, $action = null)
         {
-            return \Illuminate\Routing\Router::any($uri, $action);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->any($uri, $action);
         }
         
         /**
          * Register a new Fallback route with the router.
          *
-         * @param \Closure|array|string|null $action
+         * @param \Closure|array|string|callable|null $action
          * @return \Illuminate\Routing\Route 
          * @static 
          */ 
         public static function fallback($action)
         {
-            return \Illuminate\Routing\Router::fallback($action);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->fallback($action);
         }
         
         /**
@@ -11825,7 +12532,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function redirect($uri, $destination, $status = 302)
         {
-            return \Illuminate\Routing\Router::redirect($uri, $destination, $status);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->redirect($uri, $destination, $status);
         }
         
         /**
@@ -11838,7 +12546,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function permanentRedirect($uri, $destination)
         {
-            return \Illuminate\Routing\Router::permanentRedirect($uri, $destination);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->permanentRedirect($uri, $destination);
         }
         
         /**
@@ -11852,7 +12561,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function view($uri, $view, $data = array())
         {
-            return \Illuminate\Routing\Router::view($uri, $view, $data);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->view($uri, $view, $data);
         }
         
         /**
@@ -11860,13 +12570,14 @@ namespace Illuminate\Support\Facades {
          *
          * @param array|string $methods
          * @param string $uri
-         * @param \Closure|array|string|null $action
+         * @param \Closure|array|string|callable|null $action
          * @return \Illuminate\Routing\Route 
          * @static 
          */ 
         public static function match($methods, $uri, $action = null)
         {
-            return \Illuminate\Routing\Router::match($methods, $uri, $action);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->match($methods, $uri, $action);
         }
         
         /**
@@ -11879,7 +12590,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function resources($resources, $options = array())
         {
-            \Illuminate\Routing\Router::resources($resources, $options);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->resources($resources, $options);
         }
         
         /**
@@ -11893,7 +12605,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function resource($name, $controller, $options = array())
         {
-            return \Illuminate\Routing\Router::resource($name, $controller, $options);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->resource($name, $controller, $options);
         }
         
         /**
@@ -11906,7 +12619,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function apiResources($resources, $options = array())
         {
-            \Illuminate\Routing\Router::apiResources($resources, $options);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->apiResources($resources, $options);
         }
         
         /**
@@ -11920,7 +12634,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function apiResource($name, $controller, $options = array())
         {
-            return \Illuminate\Routing\Router::apiResource($name, $controller, $options);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->apiResource($name, $controller, $options);
         }
         
         /**
@@ -11933,7 +12648,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function group($attributes, $routes)
         {
-            \Illuminate\Routing\Router::group($attributes, $routes);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->group($attributes, $routes);
         }
         
         /**
@@ -11945,7 +12661,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function mergeWithLastGroup($new)
         {
-            return \Illuminate\Routing\Router::mergeWithLastGroup($new);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->mergeWithLastGroup($new);
         }
         
         /**
@@ -11956,7 +12673,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getLastGroupPrefix()
         {
-            return \Illuminate\Routing\Router::getLastGroupPrefix();
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->getLastGroupPrefix();
         }
         
         /**
@@ -11964,25 +12682,27 @@ namespace Illuminate\Support\Facades {
          *
          * @param array|string $methods
          * @param string $uri
-         * @param \Closure|array|string|null $action
+         * @param \Closure|array|string|callable|null $action
          * @return \Illuminate\Routing\Route 
          * @static 
          */ 
         public static function addRoute($methods, $uri, $action)
         {
-            return \Illuminate\Routing\Router::addRoute($methods, $uri, $action);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->addRoute($methods, $uri, $action);
         }
         
         /**
          * Return the response returned by the given route.
          *
          * @param string $name
-         * @return mixed 
+         * @return \Illuminate\Http\Response|\Illuminate\Http\JsonResponse 
          * @static 
          */ 
         public static function respondWithRoute($name)
         {
-            return \Illuminate\Routing\Router::respondWithRoute($name);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->respondWithRoute($name);
         }
         
         /**
@@ -11994,19 +12714,21 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function dispatch($request)
         {
-            return \Illuminate\Routing\Router::dispatch($request);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->dispatch($request);
         }
         
         /**
          * Dispatch the request to a route and return the response.
          *
          * @param \Illuminate\Http\Request $request
-         * @return mixed 
+         * @return \Illuminate\Http\Response|\Illuminate\Http\JsonResponse 
          * @static 
          */ 
         public static function dispatchToRoute($request)
         {
-            return \Illuminate\Routing\Router::dispatchToRoute($request);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->dispatchToRoute($request);
         }
         
         /**
@@ -12018,7 +12740,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function gatherRouteMiddleware($route)
         {
-            return \Illuminate\Routing\Router::gatherRouteMiddleware($route);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->gatherRouteMiddleware($route);
         }
         
         /**
@@ -12031,7 +12754,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function prepareResponse($request, $response)
         {
-            return \Illuminate\Routing\Router::prepareResponse($request, $response);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->prepareResponse($request, $response);
         }
         
         /**
@@ -12044,7 +12768,7 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function toResponse($request, $response)
         {
-            return \Illuminate\Routing\Router::toResponse($request, $response);
+                        return \Illuminate\Routing\Router::toResponse($request, $response);
         }
         
         /**
@@ -12052,11 +12776,13 @@ namespace Illuminate\Support\Facades {
          *
          * @param \Illuminate\Routing\Route $route
          * @return \Illuminate\Routing\Route 
+         * @throws \Illuminate\Database\Eloquent\ModelNotFoundException
          * @static 
          */ 
         public static function substituteBindings($route)
         {
-            return \Illuminate\Routing\Router::substituteBindings($route);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->substituteBindings($route);
         }
         
         /**
@@ -12064,11 +12790,13 @@ namespace Illuminate\Support\Facades {
          *
          * @param \Illuminate\Routing\Route $route
          * @return void 
+         * @throws \Illuminate\Database\Eloquent\ModelNotFoundException
          * @static 
          */ 
         public static function substituteImplicitBindings($route)
         {
-            \Illuminate\Routing\Router::substituteImplicitBindings($route);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->substituteImplicitBindings($route);
         }
         
         /**
@@ -12080,7 +12808,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function matched($callback)
         {
-            \Illuminate\Routing\Router::matched($callback);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->matched($callback);
         }
         
         /**
@@ -12091,7 +12820,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getMiddleware()
         {
-            return \Illuminate\Routing\Router::getMiddleware();
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->getMiddleware();
         }
         
         /**
@@ -12099,12 +12829,13 @@ namespace Illuminate\Support\Facades {
          *
          * @param string $name
          * @param string $class
-         * @return $this 
+         * @return \Illuminate\Routing\Router 
          * @static 
          */ 
         public static function aliasMiddleware($name, $class)
         {
-            return \Illuminate\Routing\Router::aliasMiddleware($name, $class);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->aliasMiddleware($name, $class);
         }
         
         /**
@@ -12116,7 +12847,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasMiddlewareGroup($name)
         {
-            return \Illuminate\Routing\Router::hasMiddlewareGroup($name);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->hasMiddlewareGroup($name);
         }
         
         /**
@@ -12127,7 +12859,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getMiddlewareGroups()
         {
-            return \Illuminate\Routing\Router::getMiddlewareGroups();
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->getMiddlewareGroups();
         }
         
         /**
@@ -12135,12 +12868,13 @@ namespace Illuminate\Support\Facades {
          *
          * @param string $name
          * @param array $middleware
-         * @return $this 
+         * @return \Illuminate\Routing\Router 
          * @static 
          */ 
         public static function middlewareGroup($name, $middleware)
         {
-            return \Illuminate\Routing\Router::middlewareGroup($name, $middleware);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->middlewareGroup($name, $middleware);
         }
         
         /**
@@ -12150,12 +12884,13 @@ namespace Illuminate\Support\Facades {
          *
          * @param string $group
          * @param string $middleware
-         * @return $this 
+         * @return \Illuminate\Routing\Router 
          * @static 
          */ 
         public static function prependMiddlewareToGroup($group, $middleware)
         {
-            return \Illuminate\Routing\Router::prependMiddlewareToGroup($group, $middleware);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->prependMiddlewareToGroup($group, $middleware);
         }
         
         /**
@@ -12165,12 +12900,13 @@ namespace Illuminate\Support\Facades {
          *
          * @param string $group
          * @param string $middleware
-         * @return $this 
+         * @return \Illuminate\Routing\Router 
          * @static 
          */ 
         public static function pushMiddlewareToGroup($group, $middleware)
         {
-            return \Illuminate\Routing\Router::pushMiddlewareToGroup($group, $middleware);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->pushMiddlewareToGroup($group, $middleware);
         }
         
         /**
@@ -12183,7 +12919,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function bind($key, $binder)
         {
-            \Illuminate\Routing\Router::bind($key, $binder);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->bind($key, $binder);
         }
         
         /**
@@ -12193,12 +12930,12 @@ namespace Illuminate\Support\Facades {
          * @param string $class
          * @param \Closure|null $callback
          * @return void 
-         * @throws \Illuminate\Database\Eloquent\ModelNotFoundException
          * @static 
          */ 
         public static function model($key, $class, $callback = null)
         {
-            \Illuminate\Routing\Router::model($key, $class, $callback);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->model($key, $class, $callback);
         }
         
         /**
@@ -12210,7 +12947,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getBindingCallback($key)
         {
-            return \Illuminate\Routing\Router::getBindingCallback($key);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->getBindingCallback($key);
         }
         
         /**
@@ -12221,7 +12959,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getPatterns()
         {
-            return \Illuminate\Routing\Router::getPatterns();
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->getPatterns();
         }
         
         /**
@@ -12234,7 +12973,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function pattern($key, $pattern)
         {
-            \Illuminate\Routing\Router::pattern($key, $pattern);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->pattern($key, $pattern);
         }
         
         /**
@@ -12246,7 +12986,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function patterns($patterns)
         {
-            \Illuminate\Routing\Router::patterns($patterns);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->patterns($patterns);
         }
         
         /**
@@ -12257,7 +12998,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function hasGroupStack()
         {
-            return \Illuminate\Routing\Router::hasGroupStack();
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->hasGroupStack();
         }
         
         /**
@@ -12268,7 +13010,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getGroupStack()
         {
-            return \Illuminate\Routing\Router::getGroupStack();
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->getGroupStack();
         }
         
         /**
@@ -12281,7 +13024,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function input($key, $default = null)
         {
-            return \Illuminate\Routing\Router::input($key, $default);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->input($key, $default);
         }
         
         /**
@@ -12292,7 +13036,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getCurrentRequest()
         {
-            return \Illuminate\Routing\Router::getCurrentRequest();
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->getCurrentRequest();
         }
         
         /**
@@ -12303,18 +13048,20 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function getCurrentRoute()
         {
-            return \Illuminate\Routing\Router::getCurrentRoute();
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->getCurrentRoute();
         }
         
         /**
          * Get the currently dispatched route instance.
          *
-         * @return \Illuminate\Routing\Route 
+         * @return \Illuminate\Routing\Route|null 
          * @static 
          */ 
         public static function current()
         {
-            return \Illuminate\Routing\Router::current();
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->current();
         }
         
         /**
@@ -12326,7 +13073,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function has($name)
         {
-            return \Illuminate\Routing\Router::has($name);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->has($name);
         }
         
         /**
@@ -12337,7 +13085,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function currentRouteName()
         {
-            return \Illuminate\Routing\Router::currentRouteName();
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->currentRouteName();
         }
         
         /**
@@ -12349,7 +13098,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function is($patterns = null)
         {
-            return \Illuminate\Routing\Router::is($patterns);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->is($patterns);
         }
         
         /**
@@ -12361,7 +13111,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function currentRouteNamed($patterns = null)
         {
-            return \Illuminate\Routing\Router::currentRouteNamed($patterns);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->currentRouteNamed($patterns);
         }
         
         /**
@@ -12372,7 +13123,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function currentRouteAction()
         {
-            return \Illuminate\Routing\Router::currentRouteAction();
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->currentRouteAction();
         }
         
         /**
@@ -12384,7 +13136,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function uses($patterns = null)
         {
-            return \Illuminate\Routing\Router::uses($patterns);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->uses($patterns);
         }
         
         /**
@@ -12396,7 +13149,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function currentRouteUses($action)
         {
-            return \Illuminate\Routing\Router::currentRouteUses($action);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        return $instance->currentRouteUses($action);
         }
         
         /**
@@ -12408,7 +13162,20 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function auth($options = array())
         {
-            \Illuminate\Routing\Router::auth($options);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->auth($options);
+        }
+        
+        /**
+         * Register the typical reset password routes for an application.
+         *
+         * @return void 
+         * @static 
+         */ 
+        public static function resetPassword()
+        {
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->resetPassword();
         }
         
         /**
@@ -12419,7 +13186,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function emailVerification()
         {
-            \Illuminate\Routing\Router::emailVerification();
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->emailVerification();
         }
         
         /**
@@ -12431,7 +13199,8 @@ namespace Illuminate\Support\Facades {
          */ 
         public static function singularResourceParameters($singular = true)
         {
-            \Illuminate\Routing\Router::singularResourceParameters($singular);
+                        /** @var \Illuminate\Routing\Router $instance */
+                        $instance->singularResourceParameters($singular);
         }
         
         /**
